Required scopes: write_customersThis endpoint has a rate limit of 100 requests per second
Create a short-lived WebView session for a site. This session includes a URL that
can be used to render an embedded Loyalty Page in a WebView.If you have an authenticated customer, you can include their ID and email when
creating the session. This will allow rendering a WebView with a customer context,
allowing the customer to view their points and redeem rewards.
You must only include a customer when generating an WebView session if you
have already authenticated them in your app, i.e. using Shopify’s own
authentication, or multipass.
An API key linked to a Program in LoyaltyLion, with a set of permissions (scopes). API keys can be created manually, or acquired through an OAuth2 flow. The API key should be provided as a Bearer token in the Authorization header
The current language as an ISO 639-1 code, e.g. en. If language is not provided or is not supported by this site, the default language will be used instead
The current currency as an ISO 4217 currency code, e.g. usd. If currency is not provided or is not supported by this site, the default currency will be used instead
Customer to include in the resulting WebView content. If included, the rendered webview will be scoped to this customer. This means the customer will be able to see their points and redeem rewards
The created session, which includes a URL that can be used as the source for a WebView
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"LoyaltyLion","colors":{"primary":"#7533f2","light":"#BEAAFF","dark":"#5C18D6"},"logo":{"light":"https://mintcdn.com/loyaltylion/qoWgzO-fbs5_an5D/logo/loyaltylion-logo-black.svg?fit=max\u0026auto=format\u0026n=qoWgzO-fbs5_an5D\u0026q=85\u0026s=a8042001d5f93ef344ce190752bfba7d","dark":"https://mintcdn.com/loyaltylion/qoWgzO-fbs5_an5D/logo/loyaltylion-logo-white.svg?fit=max\u0026auto=format\u0026n=qoWgzO-fbs5_an5D\u0026q=85\u0026s=37ab9b9089a7e1a44d13df2ae9398de1"},"favicon":"https://mintcdn.com/loyaltylion/qoWgzO-fbs5_an5D/images/favicon.svg?fit=max\u0026auto=format\u0026n=qoWgzO-fbs5_an5D\u0026q=85\u0026s=2d71e6cbb2847c7a83d1d3a4abb6d05e","api":{"playground":{"display":"simple"}},"background":{"color":{}},"navbar":{"links":[{"href":"https://status.loyaltylion.com","label":"Status"},{"href":"https://help.loyaltylion.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.loyaltylion.com"}},"footer":{"socials":{"x":"https://x.com/loyaltylionhq","github":"https://github.com/loyaltylion","linkedin":"https://linkedin.com/company/loyaltylion"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"loyaltylion","hasAudioNarration":false,"actualSubdomain":"loyaltylion","customDomains":["developers.loyaltylion.com"],"gitSource":{"type":"github","owner":"loyaltylion","repo":"dev-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"issues":true,"edits":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af2e52e926281184454cffc","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"default","tag":"Admin API","count":67},{"language":"default","tag":"Resources","count":56},{"language":"default","tag":"SDK","count":37},{"language":"default","tag":"Headless API","count":34},{"language":"default","tag":"Webhooks","count":25},{"language":"default","tag":"Webhook events","count":21},{"language":"default","tag":"Embeddable components","count":15},{"language":"default","tag":"Customers","count":13},{"language":"default","tag":"LoyaltyLion SDK","count":13},{"language":"default","tag":"Standalone components","count":12}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".not-prose.mb-6{display:flex;flex-wrap:wrap;gap:0 1.5rem}.not-prose.mb-6>li{margin-left:0!important}"}],"page":{"pagePath":"api-reference/v2/resources/sites/create-webview-session","slug":"/api-reference/v2/resources/sites/create-webview-session","pageMetadata":{"title":"Create WebView Session","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/sites/{site_id}/webviews/sessions","description":null,"href":"/api-reference/v2/resources/sites/create-webview-session"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Note,Warning}=_components;if(!Note)_missingMdxReference(`Note`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(Note,{children:[_jsxs(_components.p,{children:[`Required scopes: `,_jsx(_components.code,{children:`write_customers`})]}),_jsx(_components.p,{children:`This endpoint has a rate limit of 100 requests per second`})]}),`\n`,_jsxs(_components.p,{children:[`Create a short-lived WebView session for a site. This session includes a URL that\ncan be used to `,_jsx(_components.a,{href:`/sdk/webviews/render-in-webview`,children:`render an embedded Loyalty Page in a WebView`}),`.`]}),`\n`,_jsx(_components.p,{children:`If you have an authenticated customer, you can include their ID and email when\ncreating the session. This will allow rendering a WebView with a customer context,\nallowing the customer to view their points and redeem rewards.`}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`You must only include a customer when generating an WebView session if you\nhave already authenticated them in your app, i.e. using Shopify’s own\nauthentication, or multipass.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create WebView Session","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/sites/{site_id}/webviews/sessions","description":null,"href":"/api-reference/v2/resources/sites/create-webview-session"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["sites"],"security":["0e482eb9-0521-44a9-a01a-9b311b39f890","de34bc7c-80e3-4536-b035-3220dc19d6b4"],"parameters":["24430162-52a8-4534-94ef-dd9cea1dee88"],"operationId":"sites.createWebviewSession","requestBody":"fbf773bf-b8f7-4dfb-a2d6-18868e85286f","responses":{"201":"35a33df0-b473-4c2f-8307-612f832f9b31","400":"791c75b4-b7a2-4722-acc9-a6513b8aba1d","401":"0244fdba-ead5-47a4-bdee-6c4799a6a3eb","403":"f2ae0da6-0894-471b-bda7-6d4b26d9a393","404":"750549cd-d080-4ace-9ceb-e611e0977907"},"method":"post","type":"path","servers":["a8460179-01e1-40c9-803d-13bf195187d2"],"path":"/v2/sites/{site_id}/webviews/sessions","baseUrlOptions":["https://api.loyaltylion.com"],"title":"","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"24430162-52a8-4534-94ef-dd9cea1dee88":{"name":"site_id","in":"path","required":true,"schema":{"type":"number","isRequired":true,"uniqueKey":"","typeLabel":"number"}}},"requestBody":{"description":"Body","content":{"application/json":{"schema":{"type":"object","properties":{"channel":{"type":"string","minLength":2,"pattern":"^[-a-zA-Z0-9_.]+$","description":"The name of your app. Can contain only alphanumeric characters, dots and underscores","isRequired":true,"uniqueKey":"channel","typeLabel":"string"},"language":{"example":"en","description":"The current language as an `ISO 639-1` code, e.g. `en`. If language is not provided or is not supported by this site, the default language will be used instead","type":"string","uniqueKey":"language","typeLabel":"string"},"currency":{"example":"usd","description":"The current currency as an `ISO 4217` currency code, e.g. `usd`. If currency is not provided or is not supported by this site, the default currency will be used instead","type":"string","uniqueKey":"currency","typeLabel":"string"},"customer":{"description":"Customer to include in the resulting WebView content. If included, the rendered webview will be scoped to this customer. This means the customer will be able to see their points and redeem rewards","type":"object","properties":{"merchant_id":{"type":"string","example":"1000001","description":"ID of the customer in your platform or ecommerce store","isRequired":true,"uniqueKey":"customer.merchant_id","typeLabel":"string"},"email":{"type":"string","example":"alice@example.com","isRequired":true,"uniqueKey":"customer.email","typeLabel":"string"}},"required":["merchant_id","email"],"additionalProperties":false,"uniqueKey":"customer","typeLabel":"object"}},"required":["channel"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"channel":"\u003cstring>","language":"en","currency":"usd"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"35a33df0-b473-4c2f-8307-612f832f9b31":{"description":"201","content":{"application/json":{"schema":{"type":"object","properties":{"webview_session":{"type":"object","properties":{"url":{"type":"string","example":"https://platform.loyaltylion.com/webview/f7bd16c","description":"Full URL that can be used as the source for a WebView to render a complete Loyalty Page for the site. This URL should be rendered immediately and not cached, as it will expire","isRequired":true,"uniqueKey":"webview_session.url","typeLabel":"string"},"expires_at":{"type":"string","example":"2025-03-03T00:00:00Z","description":"`ISO 8601` timestamp indicating when the WebView session and its URL will expire. Using an expired URL to render a WebView will result in an error","isRequired":true,"uniqueKey":"webview_session.expires_at","typeLabel":"string"}},"required":["url","expires_at"],"additionalProperties":false,"description":"The created session, which includes a URL that can be used as the source for a WebView","isRequired":true,"uniqueKey":"webview_session","typeLabel":"object"}},"required":["webview_session"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"webview_session":{"url":"https://platform.loyaltylion.com/webview/f7bd16c","expires_at":"2025-03-03T00:00:00Z"}}}},"exampleType":"generated"}},"exampleType":"generated"},"791c75b4-b7a2-4722-acc9-a6513b8aba1d":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"details":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"error.details.additionalProperties","typeLabel":"string"},"uniqueKey":"error.details","typeLabel":"object"}},"required":["message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","details":{}}}}},"exampleType":"generated"}},"exampleType":"generated"},"0244fdba-ead5-47a4-bdee-6c4799a6a3eb":{"description":"401","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","uniqueKey":"error.code","typeLabel":"string"},"details":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"string","uniqueKey":"error.details.additionalProperties","typeLabel":"string"},"uniqueKey":"error.details","typeLabel":"object"}},"required":["message"],"additionalProperties":false,"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","code":"\u003cstring>","details":{}}}}},"exampleType":"generated"}},"exampleType":"generated"},"f2ae0da6-0894-471b-bda7-6d4b26d9a393":{"description":"403","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"code":{"type":"string","uniqueKey":"error.code","typeLabel":"string"},"details":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"string","uniqueKey":"error.details.additionalProperties","typeLabel":"string"},"uniqueKey":"error.details","typeLabel":"object"}},"required":["message"],"additionalProperties":false,"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","code":"\u003cstring>","details":{}}}}},"exampleType":"generated"}},"exampleType":"generated"},"750549cd-d080-4ace-9ceb-e611e0977907":{"description":"404","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"0e482eb9-0521-44a9-a01a-9b311b39f890":{"ProgramApiKey":{"type":"http","scheme":"bearer","description":"An API key linked to a Program in LoyaltyLion, with a set of permissions (scopes). API keys can be created manually, or acquired through an OAuth2 flow. The API key should be provided as a `Bearer` token in the `Authorization` header","scopes":["write_customers"],"schemeName":"ProgramApiKey"}},"de34bc7c-80e3-4536-b035-3220dc19d6b4":{"SiteTokenSecret":{"type":"http","scheme":"basic","description":"[DEPRECATED] Authenticate using a LoyaltyLion site's `token` as username, and its `secret` as the password. This authentication method is deprecated and will be removed in future. Use the `ProgramApiKey` authentication method instead","scopes":[],"schemeName":"SiteTokenSecret"}}},"servers":{"a8460179-01e1-40c9-803d-13bf195187d2":{"url":"https://api.loyaltylion.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"An API key linked to a Program in LoyaltyLion, with a set of permissions (scopes). API keys can be created manually, or acquired through an OAuth2 flow. The API key should be provided as a `Bearer` token in the `Authorization` header","scopes":["write_customers"],"schemeName":"ProgramApiKey"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"An API key linked to a Program in LoyaltyLion, with a set of permissions (scopes). API keys can be created manually, or acquired through an OAuth2 flow. The API key should be provided as a `Bearer` token in the `Authorization` header","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"ProgramApiKey","name":"Authorization"}],"title":"ProgramApiKey"},{"schemes":[{"scheme":{"type":"http","scheme":"basic","description":"[DEPRECATED] Authenticate using a LoyaltyLion site's `token` as username, and its `secret` as the password. This authentication method is deprecated and will be removed in future. Use the `ProgramApiKey` authentication method instead","scopes":[],"schemeName":"SiteTokenSecret"},"schema":{"title":"Basic Auth","type":"object","description":"[DEPRECATED] Authenticate using a LoyaltyLion site's `token` as username, and its `secret` as the password. This authentication method is deprecated and will be removed in future. Use the `ProgramApiKey` authentication method instead","isRequired":true,"properties":{"username":{"type":"string","uniqueKey":"username","isRequired":true,"typeLabel":"string","deprecated":false},"password":{"type":"string","uniqueKey":"password","isRequired":true,"typeLabel":"string","deprecated":false}},"additionalProperties":false,"deprecated":false},"schemeName":"SiteTokenSecret","name":"Authorization"}],"title":"SiteTokenSecret"}]},"originalFileLocation":"api-reference/v2/openapi.json"},"subdomain":"loyaltylion","siteName":"LoyaltyLion","title":"Create WebView Session - LoyaltyLion","navMaps":{"firstHrefInVersion":{"v2":{"href":"/api-reference/v2/resources/sites/create-webview-session","matchLevel":0},"2025-06":{"href":"/headless-api/introduction","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-10-31T16:10:27.558Z","originalFileLocation":"api-reference/v2/resources/sites/create-webview-session.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"LoyaltyLion\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/loyaltylion/-HHkKRQ0-0oU9Wqj/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/loyaltylion/-HHkKRQ0-0oU9Wqj/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/loyaltylion/-HHkKRQ0-0oU9Wqj/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/loyaltylion/-HHkKRQ0-0oU9Wqj/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/loyaltylion/-HHkKRQ0-0oU9Wqj/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/loyaltylion/-HHkKRQ0-0oU9Wqj/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/loyaltylion/-HHkKRQ0-0oU9Wqj/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/loyaltylion/-HHkKRQ0-0oU9Wqj/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/loyaltylion/-HHkKRQ0-0oU9Wqj/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create WebView Session - LoyaltyLion\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"LoyaltyLion\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.loyaltylion.com/api-reference/v2/resources/sites/create-webview-session\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://loyaltylion.mintlify.site/_mintlify/api/og/v2?division=Sites\u0026amp;title=Create+WebView+Session\u0026amp;theme=876105ba0b4007d402979f34\u0026amp;signature=9b92e68e582d983e47a7eb1b37456ed2ba41f7633e3a946fb6b789e26b3b80ab\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create WebView Session - LoyaltyLion\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://loyaltylion.mintlify.site/_mintlify/api/og/v2?division=Sites\u0026amp;title=Create+WebView+Session\u0026amp;theme=876105ba0b4007d402979f34\u0026amp;signature=9b92e68e582d983e47a7eb1b37456ed2ba41f7633e3a946fb6b789e26b3b80ab\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/loyaltylion/-HHkKRQ0-0oU9Wqj/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"LoyaltyLion\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7533f2\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.loyaltylion.com/api-reference/v2/resources/sites/create-webview-session\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v2/resources/sites/create-webview-session.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.loyaltylion.com/#organization\",\"name\":\"LoyaltyLion\",\"url\":\"https://developers.loyaltylion.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/loyaltylion/qoWgzO-fbs5_an5D/logo/loyaltylion-logo-black.svg?fit=max\u0026auto=format\u0026n=qoWgzO-fbs5_an5D\u0026q=85\u0026s=a8042001d5f93ef344ce190752bfba7d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.loyaltylion.com#website\",\"name\":\"LoyaltyLion\",\"url\":\"https://developers.loyaltylion.com\",\"publisher\":{\"@id\":\"https://developers.loyaltylion.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.loyaltylion.com/api-reference/v2/resources/sites/create-webview-session#webpage\",\"url\":\"https://developers.loyaltylion.com/api-reference/v2/resources/sites/create-webview-session\",\"name\":\"Create WebView Session\",\"dateModified\":\"2026-10-31T16:10:27.558Z\",\"isPartOf\":{\"@id\":\"https://developers.loyaltylion.com#website\"},\"breadcrumb\":{\"@id\":\"https://developers.loyaltylion.com/api-reference/v2/resources/sites/create-webview-session#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.loyaltylion.com/api-reference/v2/resources/sites/create-webview-session#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Resources\",\"item\":\"https://developers.loyaltylion.com/api-reference/v2/resources/whoami\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Sites\",\"item\":\"https://developers.loyaltylion.com/api-reference/v2/resources/sites/list-sites\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create WebView Session\",\"item\":\"https://developers.loyaltylion.com/api-reference/v2/resources/sites/create-webview-session\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.loyaltylion.com/api-reference/v2/resources/sites/create-webview-session#apireference\",\"headline\":\"Create WebView Session\",\"name\":\"Create WebView Session\",\"url\":\"https://developers.loyaltylion.com/api-reference/v2/resources/sites/create-webview-session\",\"mainEntityOfPage\":{\"@id\":\"https://developers.loyaltylion.com/api-reference/v2/resources/sites/create-webview-session#webpage\"},\"dateModified\":\"2026-10-31T16:10:27.558Z\",\"publisher\":{\"@id\":\"https://developers.loyaltylion.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.loyaltylion.com#website\"}}]}\u003c/script>","agentPointerHref":"/api-reference/v2/resources/sites/create-webview-session.md","siteName":"LoyaltyLion","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/docs/introduction"}]},{"tab":"SDK","pages":[{"title":"SDK","href":"/sdk/overview"}]},{"tab":"Admin API","versions":[{"version":"v2","default":true,"groups":[{"group":"Admin API","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"group":"Authentication","pages":[{"title":"Overview","href":"/api-reference/authentication/overview"},{"title":"API keys","href":"/api-reference/authentication/api-keys"},{"title":"OAuth","href":"/api-reference/authentication/oauth"},{"title":"Token \u0026 secret (deprecated)","href":"/api-reference/authentication/token-secret"}]},{"title":"Pagination","href":"/api-reference/pagination"}]},{"group":"Resources","pages":[{"group":"Identity","pages":[{"title":"Who Am I","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/identity/whoami","href":"/api-reference/v2/resources/whoami"}]},{"group":"Customers","pages":[{"title":"List Customers","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/customers","href":"/api-reference/v2/resources/customers/list-customers"},{"title":"Update Customer","version":"v2","openapi":"api-reference/v2/openapi.json PATCH /v2/customers/{merchant_id}","href":"/api-reference/v2/resources/customers/update-customer"},{"title":"Add Points","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/customers/{merchant_id}/points","href":"/api-reference/v2/resources/customers/add-points"},{"title":"Remove Points","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/customers/{merchant_id}/remove_points","href":"/api-reference/v2/resources/customers/remove-points"},{"title":"List Available Rewards","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/customers/{merchant_id}/available_rewards","href":"/api-reference/v2/resources/customers/rewards/list-available-rewards"},{"title":"Redeem Reward","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/customers/{merchant_id}/claimed_rewards","href":"/api-reference/v2/resources/customers/rewards/redeem-reward"},{"title":"Refund Reward","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/customers/{merchant_id}/claimed_rewards/{claimed_reward_id}/refund","href":"/api-reference/v2/resources/customers/rewards/refund-reward"},{"title":"List Transactions","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/customers/{merchant_id}/transactions","href":"/api-reference/v2/resources/customers/list-transactions"}]},{"group":"Activities","pages":[{"title":"List Activities","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/activities","href":"/api-reference/v2/resources/activities/list-activities"},{"title":"Create Activity","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/activities","href":"/api-reference/v2/resources/activities/create-activity"},{"title":"Update Activity","version":"v2","openapi":"api-reference/v2/openapi.json PUT /v2/activities/{name}/{merchant_id}","href":"/api-reference/v2/resources/activities/update-activity"}]},{"group":"Transactions","pages":[{"title":"List Transactions","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/transactions","href":"/api-reference/v2/resources/transactions/list-transactions"}]},{"group":"Orders","pages":[{"title":"List Orders","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/orders","href":"/api-reference/v2/resources/orders/list-orders"},{"title":"Get Order","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/orders/{merchant_id}","href":"/api-reference/v2/resources/orders/get-order"},{"title":"Create Order","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/orders","href":"/api-reference/v2/resources/orders/create-order"},{"title":"Update Order","version":"v2","openapi":"api-reference/v2/openapi.json PUT /v2/orders/{merchant_id}","href":"/api-reference/v2/resources/orders/update-order"}]},{"group":"Sites","pages":[{"title":"List Sites","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/sites","description":null,"href":"/api-reference/v2/resources/sites/list-sites"},{"title":"Create WebView Session","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/sites/{site_id}/webviews/sessions","href":"/api-reference/v2/resources/sites/create-webview-session"}]},{"group":"Reviews","pages":[{"title":"Create Review","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/reviews/{platform}","description":null,"href":"/api-reference/v2/resources/reviews/create-review"},{"title":"Update Review","version":"v2","openapi":"api-reference/v2/openapi.json PUT /v2/reviews/{platform}/{merchant_id}","href":"/api-reference/v2/resources/reviews/update-review"},{"title":"Delete Review","version":"v2","openapi":"api-reference/v2/openapi.json DELETE /v2/reviews/{platform}/{merchant_id}","href":"/api-reference/v2/resources/reviews/delete-review"}]},{"group":"Rewards","pages":[{"title":"Enable Reward","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/rewards/{reward_id}/enable","href":"/api-reference/v2/resources/rewards/enable-reward"},{"title":"Disable Reward","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/rewards/{reward_id}/disable","href":"/api-reference/v2/resources/rewards/disable-reward"}]},{"group":"Emails","pages":[{"title":"List Unsubscribes","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/loyalty_emails/unsubscribes","href":"/api-reference/v2/resources/emails/list-unsubscribes"},{"title":"Create Unsubscribe","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/loyalty_emails/unsubscribes","href":"/api-reference/v2/resources/emails/create-unsubscribe"}]},{"group":"Exports","pages":[{"title":"Customer exports","version":"v2","href":"/api-reference/v2/resources/customers/exports/overview"},{"title":"Create Export","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/customers/exports","href":"/api-reference/v2/resources/customers/exports/create-export"},{"title":"Get Export","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/customers/exports/{id}","href":"/api-reference/v2/resources/customers/exports/get-export"},{"title":"List Exports","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/customers/exports","href":"/api-reference/v2/resources/customers/exports/list-exports"}]},{"group":"Webhooks","pages":[{"title":"List Webhooks","version":"v2","openapi":"api-reference/v2/openapi.json GET /v2/webhooks","href":"/api-reference/v2/resources/webhooks/list-webhooks"},{"title":"Create Webhook","version":"v2","openapi":"api-reference/v2/openapi.json POST /v2/webhooks","href":"/api-reference/v2/resources/webhooks/create-webhook"},{"title":"Delete Webhook","version":"v2","openapi":"api-reference/v2/openapi.json DELETE /v2/webhooks/{webhook_id}","href":"/api-reference/v2/resources/webhooks/delete-webhook"}]}]},{"group":"Webhooks","pages":[{"title":"Introduction","href":"/api-reference/v2/webhooks/overview"},{"group":"Webhook events","pages":[{"title":"customers/update","href":"/api-reference/v2/webhooks/events/customers-update"},{"title":"loyalty_emails/unsubscribe","href":"/api-reference/v2/webhooks/events/loyalty-emails-unsubscribe"},{"title":"rewards/store_fulfilment","href":"/api-reference/v2/webhooks/events/rewards-store-fulfilment"},{"title":"receipts/manual_approval_required","href":"/api-reference/v2/webhooks/events/receipts-manual-approval-required"},{"title":"program_events/customer.enrolled","href":"/api-reference/v2/webhooks/events/program-events/customer-enrolled"},{"title":"program_events/customer.tier_upgraded","href":"/api-reference/v2/webhooks/events/program-events/customer-tier-upgraded"},{"title":"program_events/customer.tier_downgraded","href":"/api-reference/v2/webhooks/events/program-events/customer-tier-downgraded"},{"title":"program_events/customer.reward_available_notification","href":"/api-reference/v2/webhooks/events/program-events/customer-reward-available-notification"},{"title":"program_events/customer.recurring_reward_available_reminder","href":"/api-reference/v2/webhooks/events/program-events/customer-recurring-reward-available-reminder"},{"title":"program_events/customer.claimed_reward","href":"/api-reference/v2/webhooks/events/program-events/customer-claimed-reward"},{"title":"program_events/customer.points_earned","href":"/api-reference/v2/webhooks/events/program-events/customer-points-earned"},{"title":"program_events/customer.referral_complete","href":"/api-reference/v2/webhooks/events/program-events/customer-referral-complete"},{"title":"program_events/customer.rule_completed","href":"/api-reference/v2/webhooks/events/program-events/customer-rule-completed"},{"title":"program_events/customer.approaching_tier_upgrade","href":"/api-reference/v2/webhooks/events/program-events/customers-approaching-tier-upgrade"},{"title":"program_events/customer.moved_to_defected_segment","href":"/api-reference/v2/webhooks/events/program-events/customer-moved-to-defected-segment"},{"title":"program_events/customer.moved_to_loyal_segment","href":"/api-reference/v2/webhooks/events/program-events/customer-moved-to-loyal-segment"},{"title":"program_events/customer.moved_to_at_risk_segment","href":"/api-reference/v2/webhooks/events/program-events/customer-moved-to-at-risk-segment"},{"title":"program_events/customer.approaching_points_expiration","href":"/api-reference/v2/webhooks/events/program-events/customer-approaching-points-expiration"},{"title":"program_events/customer.approaching_reward_expiration","href":"/api-reference/v2/webhooks/events/program-events/customer-approaching-reward-expiration"},{"title":"program_events/customer.receipt_approved","href":"/api-reference/v2/webhooks/events/program-events/customer-receipt-approved"},{"title":"program_events/customer.receipt_declined","href":"/api-reference/v2/webhooks/events/program-events/customer-receipt-declined"}]}]}]}]},{"tab":"Headless API","versions":[{"version":"2025-06","default":true,"groups":[{"group":"Headless API","pages":[{"title":"Introduction","href":"/headless-api/introduction"},{"title":"Customer session tokens","href":"/headless-api/session-tokens"},{"title":"Errors","href":"/headless-api/errors"},{"title":"Changelog","href":"/headless-api/changelog"}]},{"group":"Guides","pages":[{"title":"Referrals","href":"/headless-api/guides/referrals"},{"group":"Shopify Hydrogen","pages":[{"title":"Integrate with Hydrogen","href":"/headless-api/guides/hydrogen/integrate"},{"title":"Free product rewards","href":"/headless-api/guides/hydrogen/free-product-rewards"}]}]},{"group":"Resources","pages":[{"group":"Configuration","pages":[{"title":"Get Configuration","version":"v2","openapi":"headless-api/2025-06/openapi.json GET /headless/2025-06/{site_id}/configuration","href":"/headless-api/2025-06/configuration/get-configuration"}]},{"group":"Customers","pages":[{"title":"Get Customer","version":"v2","openapi":"headless-api/2025-06/openapi.json GET /headless/2025-06/{site_id}/customers/{merchant_id}","href":"/headless-api/2025-06/customers/get-customer"},{"title":"Initialize Session","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/customers/{merchant_id}/sessions","href":"/headless-api/2025-06/customers/initialize-session"},{"title":"Enroll Customer","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/customers/{merchant_id}/enroll","href":"/headless-api/2025-06/customers/enroll-customer"},{"title":"Set Birthday","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/customers/{merchant_id}/birthday","href":"/headless-api/2025-06/customers/set-birthday"},{"title":"Subscribe to Email Marketing","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/customers/{merchant_id}/email_marketing/subscribe","href":"/headless-api/2025-06/customers/subscribe-email-marketing"}]},{"group":"Referrals","pages":[{"title":"Claim Referee Incentive","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/referrals/referee_incentive","href":"/headless-api/2025-06/referrals/claim-referee-incentive"},{"title":"Track Share","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/referrals/shares","href":"/headless-api/2025-06/referrals/track-share"},{"title":"Register Guest Referrer","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/referrals/guest_registrations","href":"/headless-api/2025-06/referrals/register-guest-referrer"}]},{"group":"Reward redemption","pages":[{"title":"Cart Discount Voucher","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rewards/cart_discount_voucher/redeem","href":"/headless-api/2025-06/reward-redemption/cart-discount-voucher"},{"title":"Free Shipping Voucher","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rewards/free_shipping_voucher/redeem","href":"/headless-api/2025-06/reward-redemption/free-shipping-voucher"},{"title":"Collection Discount Voucher","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rewards/collection_discount_voucher/redeem","href":"/headless-api/2025-06/reward-redemption/collection-discount-voucher"},{"title":"Product Discount Voucher","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rewards/product_discount_voucher/redeem","href":"/headless-api/2025-06/reward-redemption/product-discount-voucher"},{"title":"Gift Card","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rewards/gift_card/redeem","href":"/headless-api/2025-06/reward-redemption/gift-card"},{"title":"Active Subscription Discount Voucher","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rewards/active_subscription_discount_voucher/redeem","href":"/headless-api/2025-06/reward-redemption/active-subscription-discount-voucher"},{"title":"Active Subscription Product","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rewards/active_subscription_product/redeem","href":"/headless-api/2025-06/reward-redemption/active-subscription-product"},{"title":"Free Product","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rewards/product_cart/redeem","href":"/headless-api/2025-06/reward-redemption/free-product"}]},{"group":"Reward refunds","pages":[{"title":"Free Product","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rewards/product_cart/refund","href":"/headless-api/2025-06/reward-refund/free-product"}]},{"group":"Complete rules","pages":[{"title":"Clickthrough","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rules/clickthrough/complete","href":"/headless-api/2025-06/complete-rules/clickthrough"},{"title":"Facebook Like","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rules/facebook_like/complete","href":"/headless-api/2025-06/complete-rules/facebook-like"},{"title":"Instagram Follow","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rules/instagram_follow/complete","href":"/headless-api/2025-06/complete-rules/instagram-follow"},{"title":"TikTok Follow","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rules/tiktok_follow/complete","href":"/headless-api/2025-06/complete-rules/tiktok-follow"},{"title":"Twitter/X Follow","version":"v2","openapi":"headless-api/2025-06/openapi.json POST /headless/2025-06/{site_id}/rules/twitter_follow/complete","href":"/headless-api/2025-06/complete-rules/twitter-follow"}]}]}]}]},{"tab":"MCP","pages":[{"title":"MCP","href":"/docs/mcp/overview"}]}]},"basePath":"","title":"Create WebView Session - LoyaltyLion","buildId":"dpl_596ePT575z4qnAFksq1biRW97aLY","deploymentId":"dpl_596ePT575z4qnAFksq1biRW97aLY","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C9Wu0MeN.js","utils-jWgu-6Qf.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DBD8f9qn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BGuX1ui5.js","snippetPresets-Evy63nQB.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BQHO1lnV.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-B6C8m-t_.js","shallow-BG4cT0fH.js","getApiPlaygroundDisplay-CgEPrE-D.js","CodeSnippet-CU8JyZ9N.js","CodeSnippets-BnxHU32T.js","Page-D6S0Yh6q.js","getPastedJson-CwiYOonh.js","icon-DYDpWmDf.js","MethodPill-C-J-l7_c.js","DuplicateIcon-B6ARwg9w.js","createIcon-Dsv4MtDq.js","DynamicMarkdown-CtasenyM.js","SectionHeading-YNcgYwjB.js","axios-vUo_bRtp.js","Markdown-CwLx6PAg.js","clsx-C3kuh_dz.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CmKHfscc.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-U3mI6Ljh.js"]}